<template>
  <BaseLayout class="green-marathon">
    <main class="green-marathon__content">
      <!-- background icons -->
      <BackgroundIcons />

      <!-- SECTIONS -->

      <!-- top banner -->
      <CaseTopBanner
        :title="caseData.topBanner.title"
        :description="caseData.topBanner.description"
        :desktopImage="caseData.topBanner.desktopImage"
        :mobileImage="caseData.topBanner.mobileImage"
      />

      <!-- project description -->
      <section class="case-section">
        <h3 class="case-section__title">о проекте</h3>
        <ProjectDescription />
      </section>

      <!-- web desktop -->
      <section class="case-section">
        <h3 class="case-section__title">веб версия <span>/ десктоп</span></h3>
        <CaseWebDesktop :tabs="caseData.webDesktop" :scrollAnimation="true" />
      </section>

      <!-- web adaptive -->
      <section class="case-section">
        <h3 class="case-section__title">
          веб версия <span>/ планшет и телефон</span>
        </h3>
        <CaseWebAdaptive :tabs="caseData.webAdaptive" />
      </section>

      <!-- mobile app -->
      <section class="case-section">
        <h3 class="case-section__title">
          мобильное приложение <span>/ Android и iOS</span>
        </h3>
        <CaseMobileApp :tabs="caseData.mobileApp" />
      </section>

      <!-- admin panel -->
      <section class="case-section">
        <h3 class="case-section__title">админ панель</h3>
        <CaseWebDesktop :tabs="caseData.adminPanel" />
      </section>

      <!-- ui kit -->
      <section class="case-section">
        <h3 class="case-section__title">кит пользовательского интерфейса</h3>
        <CaseUIKit :data="caseData.UIKit" />
      </section>

      <!-- results -->
      <section class="case-section">
        <h3 class="case-section__title">итоговый продукт</h3>
        <CaseResults
          :slides="caseData.results.slides"
          :descriptionHTML="caseData.results.descriptionHTML"
        />
      </section>

      <!-- END SECTIONS -->
    </main>
  </BaseLayout>
</template>
<script>
import BackgroundIcons from './BackgroundIcons'
import BaseLayout from '@/components/layout/BaseLayout'

// sections
import CaseTopBanner from '@/components/shared/CaseTopBanner'
import ProjectDescription from './ProjectDescription'
import CaseWebDesktop from '@/components/shared/CaseWebDesktop'
import CaseWebAdaptive from '@/components/shared/CaseWebAdaptive'
import CaseMobileApp from '@/components/shared/CaseMobileApp'
import CaseUIKit from '@/components/shared/CaseUIKit'
import CaseResults from '@/components/shared/CaseResults'

import { v4 as uuidv4 } from 'uuid'

export default {
  name: 'GreenMarathon',
  components: {
    BaseLayout,
    ProjectDescription,
    CaseTopBanner,
    CaseWebDesktop,
    CaseWebAdaptive,
    CaseMobileApp,
    CaseUIKit,
    CaseResults,
    BackgroundIcons
  },
  setup() {
    const pathToCaseImages = '/images/cases/green-marathon'
    const caseData = {
      topBanner: {
        title: 'Зелёный Марафон',
        description: 'подготовка к марафону и не только',
        desktopImage: `${pathToCaseImages}/web-desktop/main.png`,
        mobileImage: `${pathToCaseImages}/web-mobile/main.png`
      },
      webDesktop: [
        {
          id: uuidv4(),
          title: 'главная',
          image: `${pathToCaseImages}/web-desktop/main.png`
        },
        {
          id: uuidv4(),
          title: 'регистрация',
          image: `${pathToCaseImages}/web-desktop/registration.png`
        },
        {
          id: uuidv4(),
          title: 'об экологии',
          image: `${pathToCaseImages}/web-desktop/ecology.png`
        },
        {
          id: uuidv4(),
          title: 'app',
          image: `${pathToCaseImages}/web-desktop/app.png`
        },
        {
          id: uuidv4(),
          title: '404',
          image: `${pathToCaseImages}/web-desktop/404.png`
        },
        {
          id: uuidv4(),
          title: 'таймер',
          image: `${pathToCaseImages}/web-desktop/timer.png`
        }
      ],
      webAdaptive: [
        {
          id: uuidv4(),
          title: 'главная',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/main.png`,
            mobile: `${pathToCaseImages}/web-mobile/main.png`
          }
        },
        {
          id: uuidv4(),
          title: 'регистрация',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/registration.png`,
            mobile: `${pathToCaseImages}/web-mobile/registration.png`
          }
        },
        {
          id: uuidv4(),
          title: 'об экологии',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/ecology.png`,
            mobile: `${pathToCaseImages}/web-mobile/ecology.png`
          }
        },
        {
          id: uuidv4(),
          title: 'app',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/app.png`,
            mobile: `${pathToCaseImages}/web-mobile/app.png`
          }
        },
        {
          id: uuidv4(),
          title: '404',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/404.png`,
            mobile: `${pathToCaseImages}/web-mobile/404.png`
          }
        },
        {
          id: uuidv4(),
          title: 'таймер',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/timer.png`,
            mobile: `${pathToCaseImages}/web-mobile/timer.png`
          }
        }
      ],
      mobileApp: [
        {
          id: uuidv4(),
          title: 'марафон',
          images: [
            `${pathToCaseImages}/mobile-app/marathon1.png`,
            `${pathToCaseImages}/mobile-app/marathon2.png`,
            `${pathToCaseImages}/mobile-app/marathon3.png`,
            `${pathToCaseImages}/mobile-app/marathon4.png`
          ]
        },
        {
          id: uuidv4(),
          title: 'челленджи',
          images: [
            `${pathToCaseImages}/mobile-app/challenges1.png`,
            `${pathToCaseImages}/mobile-app/challenges2.png`,
            `${pathToCaseImages}/mobile-app/challenges3.png`,
            `${pathToCaseImages}/mobile-app/challenges4.png`
          ]
        },
        {
          id: uuidv4(),
          title: 'пробежки',
          images: [
            `${pathToCaseImages}/mobile-app/runs1.png`,
            `${pathToCaseImages}/mobile-app/runs2.png`,
            `${pathToCaseImages}/mobile-app/runs3.png`,
            `${pathToCaseImages}/mobile-app/runs4.png`
          ]
        },
        {
          id: uuidv4(),
          title: 'тренировки',
          images: [
            `${pathToCaseImages}/mobile-app/trainings1.png`,
            `${pathToCaseImages}/mobile-app/trainings2.png`,
            `${pathToCaseImages}/mobile-app/trainings3.png`,
            `${pathToCaseImages}/mobile-app/trainings4.png`
          ]
        },
        {
          id: uuidv4(),
          title: 'достижения',
          images: [
            `${pathToCaseImages}/mobile-app/rewards1.png`,
            `${pathToCaseImages}/mobile-app/rewards2.png`,
            `${pathToCaseImages}/mobile-app/rewards3.png`,
            `${pathToCaseImages}/mobile-app/rewards4.png`
          ]
        },
        {
          id: uuidv4(),
          title: 'профиль',
          images: [
            `${pathToCaseImages}/mobile-app/profile1.png`,
            `${pathToCaseImages}/mobile-app/profile2.png`,
            `${pathToCaseImages}/mobile-app/profile3.png`,
            `${pathToCaseImages}/mobile-app/profile4.png`
          ]
        }
      ],
      adminPanel: [
        {
          id: uuidv4(),
          title: 'главная',
          image: `${pathToCaseImages}/admin-panel/main.png`
        },
        {
          id: uuidv4(),
          title: 'онбординг',
          image: `${pathToCaseImages}/admin-panel/onboarding.png`
        },
        {
          id: uuidv4(),
          title: 'календарь',
          image: `${pathToCaseImages}/admin-panel/calendar.png`
        },
        {
          id: uuidv4(),
          title: 'создание челленджа',
          image: `${pathToCaseImages}/admin-panel/constructor.png`
        },
        {
          id: uuidv4(),
          title: 'тренировки',
          image: `${pathToCaseImages}/admin-panel/training.png`
        },
        {
          id: uuidv4(),
          title: 'поддержка',
          image: `${pathToCaseImages}/admin-panel/review.png`
        }
      ],
      UIKit: {
        id: uuidv4(),
        title: 'ui kit',
        image: `${pathToCaseImages}/ui-kit/kit.png`
      },
      results: {
        slides: [
          {
            id: uuidv4(),
            title: 'итоговый продукт',
            video: {
              src: 'https://storage.webgoer.ru/videos/gm-video.mp4',
              poster: '/images/cases/green-marathon/result/video-poster.png'
            }
          }
        ],
        descriptionHTML: `
          <p>Итоговый продукт дал возможность объединить <b>180 городов</b> в условиях карантинных ограничений, совместить онлайн с офлайном и высадить более 305088 деревьев благодаря собранным <b>12 508 889 рублей</b> на благотворительность и озеленение.</p>
          <p>Техническая поддержка онлайн-забега обработала свыше <b>1000 обращений</b> пользователей за несколько суток.</p>
          <p>Онлайн пробежали марафон более <b>6 000 человек</b>, а поддержали и приняли участие более <b>25 000 человек</b>.</p>
          <p>Зарегистрированно на оффлайн мероприятие –  <b>112 430 человек</b>.</p>`
      }
    }
    return { caseData }
  }
}
</script>
